DESCRIPTION = "GNU libmicrohttpd is a small C library that is supposed to make it easy to run an HTTP server as part of another application."
HOMEPAGE = "http://www.gnu.org/s/libmicrohttpd"
SECTION = "libs"
SRC_URI = "ftp://ftp.heanet.ie/mirrors/gnu/libmicrohttpd/libmicrohttpd-${PV}.tar.gz \
	file://libmicrohttpd-0.4.5-100-continue.patch \
	file://libmicrohttpd-0.4.5-misformed-parameters.patch \
	file://libmicrohttpd-0.4.5-check-pthread-errors.patch \
	file://libmicrohttpd-0.4.5-chunked-post.patch "
SRC_URI[md5sum] = "15cdd61e352621f20fdadf4d8ae2b44c"

# It's actually dual licensed but let's use it under LGPLv2.1
LICENSE = "LGPLv2.1"
S = "${WORKDIR}/libmicrohttpd-${PV}"
PR = "r3"

LIC_FILES_CHKSUM = "file://COPYING;md5=9331186f4f80db7da0e724bdd6554ee5"

inherit autotools

EXTRA_OECONF = "--enable-shared=yes --enable-static=no --disable-https --enable-messages"
