PR .= ".bs11"

THISDIR := "${@os.path.dirname(bb.data.getVar('FILE', d, True))}"
FILESPATH =. "${@base_set_filespath(["${THISDIR}/${PN}-${PV}", "${THISDIR}/files"], d)}:"

SRC_URI += "\
	file://avahi-daemon \
	file://avahi-daemon.conf \
"

EXTRA_OECONF += "\
    --with-avahi-priv-access-group=root \
    "

do_install_append() {
        rm -f ${D}${sysconfdir}/avahi/services/*
	install -m 0755 ${WORKDIR}/avahi-daemon ${D}${sysconfdir}/init.d/
	mkdir -p ${D}${sysconfdir}/rc2.d
	ln -sf ../init.d/avahi-daemon ${D}${sysconfdir}/rc2.d/S38avahi-daemon
	ln -sf ../init.d/avahi-daemon ${D}${sysconfdir}/rc2.d/K38avahi-daemon
	install -m 0644 ${WORKDIR}/avahi-daemon.conf ${D}${sysconfdir}/avahi/avahi-daemon.conf

	# We'll start Avahi ourselves, thank you. If we leave this
        # dummy service file behind then the first time we try and
        # communicate with Avahi when it isn't running it takes over
        # five seconds to fail.
	rm -f ${D}${datadir}/dbus-1/system-services/org.freedesktop.Avahi.service
}

