DESCRIPTION = "Libqrencode is a C library for encoding data in a QR Code symbol."
HOMEPAGE = "http://fukuchi.org/works/qrencode/"
SECTION = "libs"
SRC_URI = "http://fukuchi.org/works/qrencode/qrencode-${PV}.tar.gz"
SRC_URI[sha1sum] = "1c9cf02cc8e79dddc7238cad64b0bf3c48e94210"

LICENSE = "LGPLv2.1"
S = "${WORKDIR}/qrencode-${PV}"
PR = "r1"

LIC_FILES_CHKSUM = "FILE://${S}/COPYING;md5=2d5025d4aa3495befef8f17206a5b0a1"

inherit autotools

EXTRA_OECONF = "--enable-shared=yes --enable-static=no --with-tools=no --with-tests=no"
